Bug 450066 - metacity fails to redraw titlebar of wide windows
Summary: metacity fails to redraw titlebar of wide windows
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-05 01:49 UTC by Jim Radford
Modified: 2009-11-18 17:08 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 17:08:47 UTC


Attachments (Terms of Use)
screen shot of corruption (43.34 KB, image/png)
2008-06-05 01:49 UTC, Jim Radford
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 538438 None None None Never

Description Jim Radford 2008-06-05 01:49:31 UTC
After opening a window (emacs and gnome-terminal are the ones I tested) that is
at least three-ish times wider than the width of the screen the metacity window
titlebar is not redrawn correctly.

Comment 1 Jim Radford 2008-06-05 01:49:31 UTC
Created attachment 308409 [details]
screen shot of corruption

Comment 2 Bug Zapper 2009-06-10 01:24:40 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jim Radford 2009-06-10 03:23:18 UTC
This bus is still present in Fedora 11 and the current rawhide.

Comment 4 Bug Zapper 2009-11-16 08:07:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Owen Taylor 2009-11-18 17:08:47 UTC
Without investigation I'm not sure how hard this would be to fix - might be pretty easy, but compared to other bugs it's not a priority to me, so I'm just going to close it as UPSTREAM - it's already present in the GNOME bug tracker.


Note You need to log in before you can comment on or make changes to this bug.